diff options
author | Shenghou Ma <minux.ma@gmail.com> | 2012-03-08 12:04:49 +0900 |
---|---|---|
committer | Shenghou Ma <minux.ma@gmail.com> | 2012-03-08 12:04:49 +0900 |
commit | 467aeb401901fdc596be4be49b874e2a2cf22bee (patch) | |
tree | 23c817d071e61eff25b7158c82928a5a85e9b73f | |
parent | a5c2c1902dc096808e0dff2d78349eaa6381f305 (diff) | |
download | go-467aeb401901fdc596be4be49b874e2a2cf22bee.tar.gz |
doc: fix freebsd build
Also rename it to test.bash, for naming consistency.
R=golang-dev, r
CC=golang-dev
http://codereview.appspot.com/5784045
Committer: Mikio Hara <mikioh.mikioh@gmail.com>
-rwxr-xr-x | doc/articles/wiki/test.bash (renamed from doc/articles/wiki/test.sh) | 7 | ||||
-rwxr-xr-x | src/run.bash | 2 |
2 files changed, 6 insertions, 3 deletions
diff --git a/doc/articles/wiki/test.sh b/doc/articles/wiki/test.bash index 58b218a78..5c2cb60dc 100755 --- a/doc/articles/wiki/test.sh +++ b/doc/articles/wiki/test.bash @@ -1,4 +1,7 @@ #!/usr/bin/env bash +# Copyright 2010 The Go Authors. All rights reserved. +# Use of this source code is governed by a BSD-style +# license that can be found in the LICENSE file. set -e wiki_pid= @@ -8,10 +11,10 @@ cleanup() { } trap cleanup 0 INT -make get.bin +go build -o get.bin get.go addr=$(./get.bin -addr) sed s/:8080/$addr/ < final.go > final-test.go -make final-test.bin +go build -o final-test.bin final-test.go (./final-test.bin) & wiki_pid=$! diff --git a/src/run.bash b/src/run.bash index 1c73e131d..e97f55a0b 100755 --- a/src/run.bash +++ b/src/run.bash @@ -71,7 +71,7 @@ time ./run [ "$GOARCH" == arm ] || # uses network, fails under QEMU (xcd ../doc/articles/wiki make clean -./test.sh +./test.bash ) || exit $? echo |